Bug 1674759 - condor: FTBFS in Fedora rawhide/f30
Summary: condor: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: condor
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Theisen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 16:59 UTC by Fedora Release Engineering
Modified: 2019-08-01 18:36 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-01 18:36:12 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 16:59 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 16:59 UTC, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2019-02-11 16:59 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 16:59:24 UTC
condor failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32373322


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix condor at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
condor will be orphaned. Before branching of Fedora 31,
condor will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 16:59:27 UTC
Created attachment 1529570 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 16:59:28 UTC
Created attachment 1529571 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 16:59:30 UTC
Created attachment 1529572 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 22:49:12 UTC
The original build failed because cmake was invoked without a directory (e.g. the spec file should be fixed to do something like "cmake .")

That's only a warning in rawhide now, but a new scratch build fails with:

BUILDSTDERR: /usr/bin/ld: CMakeFiles/gahp_server.dir/gahp_server.cpp.o: undefined reference to symbol 'dlopen@@GLIBC_2.2.5'
BUILDSTDERR: /usr/bin/ld: /usr/lib/gcc/x86_64-redhat-linux/9/../../../../lib64/libdl.so: error adding symbols: DSO missing from command line
BUILDSTDERR: collect2: error: ld returned 1 exit status

It seems to be missing -ldl

See https://koji.fedoraproject.org/koji/taskinfo?taskID=32746490

Comment 5 Tim Theisen 2019-02-18 20:20:44 UTC
Working on this.  The gt2_gahp can be dropped. So, that resolves the first problem.

Ran into another problem building. Need to fix up the python bindings now.

Comment 6 Tim Theisen 2019-08-01 18:36:12 UTC
HTCondor builds and is currently in rawhide.


Note You need to log in before you can comment on or make changes to this bug.